Bug 483602 - logrotate default configuration, use of wildcard ' * '
logrotate default configuration, use of wildcard ' * '
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: piranha (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On: 481736
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 10:59 EST by Marek Grac
Modified: 2009-09-02 07:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 481736
Environment:
Last Closed: 2009-09-02 07:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Grac 2009-02-02 10:59:46 EST
+++ This bug was initially created as a clone of Bug #481736 +++

Description of problem:

Logrotate default configuration  use wildcard '*' in /etc/logrotate.d/piranha-httpd and rotate all files, including previously rotated ones.

Version-Release number of selected component:

piranha-0.8.4-9.3.el5

Default installation, after about 6 weeks,  produce this result in /var/log/piranha/

Actual results:

-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status
-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status.1
-rw-r--r-- 1 root    root    0 Jan 27 04:02 apache_runtime_status.1.1
-rw-r--r-- 1 root    root    8 Jan 26 15:32 apache_runtime_status.1.1.1
-rw-r--r-- 1 root    root    0 Jan 21 04:02 apache_runtime_status.1.1.1.1
-rw-r--r-- 1 root    root    0 Jan 22 04:02 apache_runtime_status.1.1.1.1.1
-rw-r--r-- 1 root    root    0 Jan 26 16:37 apache_runtime_status.1.1.1.1.1.1


-rw-rw-r-- 1 piranha root  578 Jan 27 04:02 piranha-gui
-rw-rw-r-- 1 piranha root    0 Jan 27 04:02 piranha-gui.1
-rw-rw-r-- 1 piranha root 2586 Jan 26 16:37 piranha-gui.1.1
-rw-rw-r-- 1 piranha root    0 Jan 21 04:02 piranha-gui.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 22 04:02 piranha-gui.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 26 16:37 piranha-gui.1.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Jan 27 04:02 piranha-gui.1.1.1.1.1.1




-rw-rw-r-- 1 piranha root    0 Oct 26 04:02 piranha-gui-access
-rw-rw-r-- 1 piranha root    0 Nov  2 04:02 piranha-gui-access.1
-rw-rw-r-- 1 piranha root    0 Nov  9 04:02 piranha-gui-access.1.1
-rw-rw-r-- 1 piranha root    0 Nov 17 10:05 piranha-gui-access.1.1.1
-rw-rw-r-- 1 piranha root    0 Nov 23 04:02 piranha-gui-access.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Nov 30 04:02 piranha-gui-access.1.1.1.1.1
-rw-rw-r-- 1 piranha root    0 Dec  7 04:02 piranha-gui-access.1.1.1.1.1.1

Expected results:

apache_runtime_status
apache_runtime_status.1
apache_runtime_status.2
apache_runtime_status.3

....

piranha-gui
piranha-gui.1
piranha-gui.2
piranha-gui.3

....

piranha-gui-access
piranha-gui-access.1
piranha-gui-access.2
piranha-gui-access.3


A quick workaround, as described in logrotate man-page,

is to add a file extension to 

apache_runtime_status 
piranha-gui 
piranha-gui-access 

modifying apache configuration at /etc/sysconfig/ha/conf/httpd.conf

ScoreBoardFile /var/log/piranha/apache_runtime_status.log
ErrorLog /var/log/piranha/piranha-gui.log
CustomLog /var/log/piranha/piranha-gui-access.log common

and matching by '*log' in /etc/logrotate.d/piranha-httpd

/var/log/piranha/*log

instead of

/var/log/piranha/*
Comment 1 Marek Grac 2009-02-04 13:25:31 EST
Same patch and reasoning as for original bug for RHEL4
Comment 4 errata-xmlrpc 2009-09-02 07:58:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1396.html

Note You need to log in before you can comment on or make changes to this bug.